Skip to main content
PUT
Update an Advertiser

Authorizations

Authorization
string
header
required

API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.

Path Parameters

id
integer
required

Identifier of the advertiser you'd like to update.

Body

application/json
can_change_password
boolean

Whether to allow this advertiser to change their own password.

Example:

false

can_add_ad_items
boolean

Whether to allow this advertiser to submit advertisements for scheduling in the zones you own.

Example:

false

email
string

A valid email owned by the advertiser that allows them to log in to the advertiser portal. When set to the default, the advertiser will not have access to the advertiser portal.

Example:

"advertiser@example.com"

name
string

Name of the advertiser.

Example:

"Example Advertiser"

metadata
object

An object containing any number of metadata keys and values. Keys and values must be strings.

Example:
password
string

The password of the optional user account tied to this advertiser. The given password must be 8 or more characters and contain at least one uppercase character, lowercase character, and number. Password managers and special characters are recommended. If left blank on advertiser creation, a random password will be generated. This field will never be returned in any responses.

Example:

"**********"

Response

default - application/json

successful operation

can_change_password
boolean

Whether to allow this advertiser to change their own password.

Example:

false

can_add_ad_items
boolean

Whether to allow this advertiser to submit advertisements for scheduling in the zones you own.

Example:

false

email
string

A valid email owned by the advertiser that allows them to log in to the advertiser portal. When set to the default, the advertiser will not have access to the advertiser portal.

Example:

"advertiser@example.com"

name
string

Name of the advertiser.

Example:

"Example Advertiser"

metadata
object

An object containing any number of metadata keys and values. Keys and values must be strings.

Example:
object
string

A string denoting the current resource being requested or affected.

Example:

"advertiser"

id
integer

The current resource identifier (ID).

Example:

5195

has_password
boolean

A field indicating if the password is set.

Example:

false

self_serve_customer
integer

The identifier (ID) of a related Self-Serve Customer resource.

Example:

100795

self
string

The relative URL of the current resource being requested or affected.

Example:

"/v2/advertisers/5195"

parent
string

Where the advertiser was created, and if it should display as an option in the menu. Allowed values: marketplace and admin, defaults to admin. NOTE: setting this field to "marketplace" is only allowed if you pay for the Self-Serve feature.

Example:

"admin"